io.vertx.ext.web

## Interface LanguageHeader

- All Superinterfaces:
    Locale, ParsedHeaderValue

      public interface LanguageHeader
      extends ParsedHeaderValue, Locale

  A parsed language header. Delivers a more direct access to the individual elements of the header it represents

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.ext.web.ParsedHeaderValue

      `DEFAULT_WEIGHT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `subtag()` The subtag of the language as specified by rfc7231#section-3.1.3.1. Equivalent to `subtag(1)`
    `String` | `subtag(int level)` A subtag of this language header. + info: rfc7231#section-3.1.3.1
    `int` | `subtagCount()`
    `String` | `tag()` The tag of the language as specified by rfc7231#section-3.1.3.1. Equivalent to `subtag(0)`

    - ### Methods inherited from interface io.vertx.ext.web.ParsedHeaderValue

      `findMatchedBy, isMatchedBy, isPermitted, parameter, parameters, rawValue, value, weight, weightedOrder`

    - ### Methods inherited from interface io.vertx.ext.web.Locale

      `country, create, create, create, create, language, variant`

- - ### Method Detail

    - #### tag

          String tag()

      The tag of the language as specified by rfc7231#section-3.1.3.1.
      Equivalent to `subtag(0)`
      Returns:
        The language tag

    - #### subtag

          String subtag()

      The subtag of the language as specified by rfc7231#section-3.1.3.1.
      Equivalent to `subtag(1)`
      Returns:
        The language subtag

    - #### subtag

          String subtag(int level)

      A subtag of this language header.
      + info: rfc7231#section-3.1.3.1
      Returns:
        The language subtag at specified position

    - #### subtagCount

          int subtagCount()

      Returns:
        the number of subtags this value has

Copyright © 2018 Eclipse. All rights reserved.